Bug 148932 - FC3 kernel build fails - multiple errors
FC3 kernel build fails - multiple errors
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-02-16 18:52 EST by Bob Stewart
Modified: 2015-01-04 17:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-18 14:57:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bob Stewart 2005-02-16 18:52:27 EST
Description of problem:
1)  make mrproper fails due to no "Documentation/DocBook/Makefile"

Workaround for this problem is to manually create dummy directory and 
empty makefile.

2)  make fails due to no asm-offsets.s and no asm_offsets.h or
asm_offsets.h.tmp files.

No workaround for this problem.  Without the files the build is hosed.

Version-Release number of selected component (if applicable):
FC3 (2.6.10-1.766-FC3)

How reproducible:  Happens every time.

Steps to Reproduce:
1.  Install new FC3 system from isos on a clean disk (without kernel
2.  Update to latest patches using up2date
3.  Install kernel source from FC3 SRPMS
4.  Update to latest patches using up2date
5.  su - root
6.  cd /lib/modules/2.6.10-1.766-FC3/source
7.  cp .config config.BAK
8.  make mrproper (1st problem encountered)
9.  perform workaround to 1st problem
10. cp config.BAK .config
11. make menuconfig (don't change anything, just exit and save)
12. make clean
13. make bzImage (2nd problem encountered)
Actual results:  No kernel build

Expected results:  Kernel build

Additional info:
Comment 1 Bob Stewart 2005-02-18 14:57:49 EST
I finally located some additional documentation showing how the 
kernel build mechanisms have changed in fedora.  After following the 
new proceedures it looks like I am able to build a kernel.

Just a suggestion:  Maybe it would be a benefit if you included a 
readme file in the kernel source RPMS either explaining the new 
proceedures, or a link back to your web site that contains them.  It 
would go a long way in making things easier to do.  :-)

Note You need to log in before you can comment on or make changes to this bug.